org.omg.IOP

## Interface CodecFactoryOperations

- All Known Subinterfaces:
    CodecFactory

      public interface CodecFactoryOperations

  `Codecs` are obtained from the `CodecFactory`. The `CodecFactory` is obtained through a call to `ORB.resolve_initial_references( "CodecFactory" )`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Codec` | `create_codec(Encoding enc)` Create a `Codec` of the given encoding.

- - ### Method Detail

    - #### create_codec

          Codec create_codec(Encoding enc)
                             throws UnknownEncoding

      Create a `Codec` of the given encoding.

      Parameters:
        `enc` - The encoding for which to create a `Codec`.
      Returns:
        A `Codec` obtained with the given encoding.
      Throws:
        `UnknownEncoding` - thrown if this factory cannot create a `Codec` of the given encoding.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.